@media only screen and (max-width: 1200px) {
    .close_lines{
        display: block;
        top: 25px;
    }
    .menu_cont ul {
        position: absolute;
        top: 0;
        right: 0;
        width: 0;
        background: white;
        height: 100vh;
        z-index: -1;
        flex-direction: column;
        text-align: center;
        justify-content: center;
        gap: 25px;
        transition: all 0.5s;
        width: 0px;
        z-index: 2;
        overflow: hidden;
    }
    .rec_ot {
        font-size: 35px;
        text-align: center;
        color: #7d1f5d;
        font-weight: 900;
        margin-left: 150px;
    }
    .ts_logo {
        position: absolute;
        top: 2px;
        left: 5px;
        /* background: red; */
        z-index: 99;
        width: 200px;
    }
    .menu_cont ul {
        position: absolute;
        top: 0;
        right: 0;
        width: 0;
        background: white;
        height: 100vh;
        z-index: -1;
        flex-direction: column;
        text-align: center;
        justify-content: center;
        gap: 0px;
        transition: all 0.5s;
        width: 0px;
        z-index: 2;
        overflow: hidden;
    }
    .act_ive ul{
        width: 60%;
        float: left;
    }
    .line_1, .line_2, .line_3 {
        width: 100%;
        background: #333;
        height: 3px;
        float: left;
        transition: all 0.5s;
        border-radius: 59px;
    }
    .close_lines {
        width: 30px;
    }
    .nav_menu {
        padding: 10px 20px !important;
    }
    .line_2, .line_3 {
        margin-top: 7px !important;
    }
   
    .menu_cont ul li {
        background: #ffffff;
        border-bottom: 1px solid #80808024;
        border-radius: 0;
        padding: 20px 0px;
        cursor: pointer;
    }
    .menu_cont ul li a{
        color: #333 ;
    }
    .rot_ate .line_3 {
        transform: translate(1px, -9px) rotate(-45deg);
    }
    .rot_ate .line_1 {
        transform: translate(1px, 11px) rotate(45deg);
    }
    .bar{
        padding: 4px 0;
    }
    .logo_cont {
        flex: 90%;
        float: left;
        transition: all 0.5s;
    }
    .menu_cont {
        flex: 10%;
        float: left;
        transition: all 0.5s;
    }
    .rec_ot img {
        width: 170px;
        display: flex;
        margin: auto;
    }
}


@media only screen and (max-width: 992px) {
    .close_lines{
        display: block;
        top: 25px;
    }
    .rec_ot {
        font-size: 28px;
        text-align: center;
        color: rgb(125, 31, 93);
        font-weight: 900;
    }
    .menu_cont ul {
        position: absolute;
        top: 0;
        right: 0;
        width: 0;
        background: white;
        height: 100vh;
        z-index: -1;
        flex-direction: column;
        text-align: center;
        justify-content: center;
        gap: 25px;
        transition: all 0.5s;
        width: 0px;
        z-index: 2;
        overflow: hidden;
        box-shadow: -12px 0px 20px #0000002e;
    }
    .act_ive ul{
        width: 60%;
        float: left;
    }
    .menu_cont {
        width: 40%;
        float: left;
    }
    .logo_cont{
        width: 60%;
        float: left;
    }
    .pop_image img {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        height: auto;
        width: 80%;
        border: 5px solid white;
        overflow: hidden;
        transition: all 0.5s;
        cursor: pointer;
    }
    .ts_logo {
        width: 150px;
    }
    .rec_ot {
        margin-left: 90px;
    }
    .corce_text p, p{
        font-size: 14px;
    }
    p.conc_txt{
        font-size: 16px;
    }
    .foot_1 p{
        font-size: 14px;
    }
    .foot_mnu_1 ul li a{
        font-size: 14px;
        margin-bottom: 5px;
    }
    .foot_mnu ul li a{
        font-size: 14px;
    }
    .bar_content {
        display: block;
        width: 126%;
        transform: translateX(100%);
        animation: move 35s linear infinite /* infinite make reapeat the animation indefinitely */;
        text-align: center;
    }
    .ts_logo {
        position: absolute;
        top: 0px !important;
        left: -18px !important;
        /* background: red; */
        z-index: 99;
        width: 175px !important;
    }
    .ts_logo::before {
        position: absolute;
        content: '';
        top: -5px;
        left: -20px;
        width: 160px;
        height: 100%;
        background: linear-gradient(180deg, #9b3627, #ff1a00);
        z-index: -1;
        border-width: 5px;
        border-style: solid;
        border-image: linear-gradient( to bottom, white, #afadac ) 1 10%;
    }
    .line_1, .line_2, .line_3 {
        width: 100%;
        background: #333;
        height: 3px;
        float: left;
        transition: all 0.5s;
        border-radius: 59px;
    }
    .close_lines {
        width: 24px;
    }
    .nav_menu {
        padding: 10px 20px !important;
    }
    .line_2, .line_3 {
        margin-top: 7px !important;
    }
    .menu_cont ul {
        gap: 0px;
    }
    .menu_cont ul li {
        background: #ffffff;
        border-bottom: 1px solid #80808054;
        border-radius: 0;
        padding: 20px 0px;
        cursor: pointer;
    }
    .menu_cont ul li a{
        color: #333;
    }
    .menu_cont ul li a:hover{
        color: #333 !important;
    }
    .nav_active {
        color: red !important;
        font-weight: 600 !important;
    }
    .menu_cont ul li:hover {
        color: red !important;
        background: #ddddddcf;
        transition: all 0.5s;
    }
    .rot_ate .line_3 {
        transform: translate(1px, -9px) rotate(-45deg);
    }
    .rot_ate .line_1 {
        transform: translate(1px, 11px) rotate(45deg);
    }
    .bar{
        padding: 4px 0;
    }
    .text_sip {
        right: 60px;
        font-size: 20px;
        padding: 5px 5px;
    }
    .text_sip h1{
        font-weight: 700;
        font-size: 25px !important;
    }
}


@media only screen and (max-width : 768px){
    .comp_ex {
        display: flex;
        align-items: center;
        justify-content: center;
        gap: 12px;
        background: #efeeea;
        flex-direction: column;
    }
    .comp_2 {
        width: 100%;
        float: left;
        text-align: center;
    }    
    .comp_2 img {
        width: 80%;
        border: 10px solid #efeeea;
        box-shadow: 0px 0px 30px #80808096;
    }
    .main_bxz {
        position: relative;
        width: 45px;
        height: 45px;
        display: flex;
        align-items: center;
        justify-content: center;
        -ms-transform-style: preserve-3d;
        transform-style: preserve-3d;
        -webkit-transform-style: preserve-3d;
        perspective: 1000px;
        -webkit-perspective: 1000px;
        backface-visibility: hidden;
    }
    .ind_anim {
        position: absolute;
        right: 5px;
        bottom: 5px;
        z-index: 999;
    }
    .close_lines {
        display: block;
        top: 17px;
    }
    .top_cont{
        flex-direction: column;
        align-items: center;
        text-align: center;
    }
    .swiper_txt {
        font-family: 'Lobster Two', cursive;
        position: absolute;
        width: 100%;
        height: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        background: #0000007d;
        color: white;
        font-size: 30px;
        /* margin-bottom: 10px; */
        padding: 0px 50px;
        text-align: left;
    }
    .swiper_txt_in p{
        margin-bottom: 10px;
    }
    .ts_logo{
        width: 80px;
    }
    .logo_img {
        margin-left: 37px;
    }
    .rec_ot {
        font-size: 24px;
        text-align: center;
        color: #7d1f5d;
        font-weight: 900;
    }
    .menu_cont {
        width: 20%;
        float: left;
    }
    .logo_cont {
        width: 100%;
        float: left;
    }
    .logo_cont{
        flex: auto !important;
    margin-left: 35px !important;
    }
    .menu_cont {
        width: 20% !important;
        float: left;
        flex: auto !important;
    }
    
    .ima_ge_div {
        width: 30%;
    }
    h1 {
        font-size: 28px;
        margin-bottom: 20px !important;
    }
    .logo_place p{
        font-size: 16px;
        padding: 25px 5%;
    }
    .news_images {
        flex-direction: column;
    }
    .news_images img{
        width: 100%;
    }
    .corce_p1{
        flex-direction: column;
    }
    .corce_p2{
        flex-direction: column-reverse;
    }
    .corce_text {
        padding: 20px 10px !important;
    }
    .corce_text h2 {
        font-family: 'Poppins';
        text-transform: uppercase !important;
        font-size: 24px !important;
        font-weight: 700;
        letter-spacing: 0.5;
    }
    .corce_text p{
        font-size: 12px ;
    }
    
    .wid_50{
        width: 100%;
    }
    .cour_ce {
        display: flex;
        flex-direction: column;
        gap: 50px;
    }
    .corce_img {
        text-align: center;
        padding: 0;
    }
    .corce_img img {
        width: 75%;
        margin: auto;
    }
    .my_studf{
        width: 90%;
    }
    .cli_box, .words_box{
        width: 100%;
    }
    .cli_list {
        padding: 50px 0px
        }
            .foot_er{
        flex-direction: column;
    }
    .review_s{
        width: 90%;
        padding: 50px 0px;
    }
    .bnr_image{
        width: 90%;
    }
    .wid_80{
        width: 90%;
    }
    .cli_list{
        width: 90%;
    }
    .pop_image img {
        position: absolute;
        top: 50%;
        left: 50%;
        transform: translate(-50%, -50%);
        height: auto;
        width: 80%;
        border: 5px solid white;
        overflow: hidden;
        transition: all 0.5s;
        cursor: pointer;
    }
    .ts_logo {
        width: 80px;
    }
    .rec_ot {
        margin: 0px !important;
        margin-left: 26px !important;
    }
    .rec_ot img {
        width: 118px;
        display: flex;
        margin-left: auto;
    }
    .rec_ot_head span {
        background: white;
        padding: 0px 12px;
        font-family: poppins;
        display: table-cell;
        box-shadow: inset 0 0 5px rgb(0 0 0 / 30%), 0 5px #ccc;
        animation: animates .5s infinite;
        font-size: 18px;
    }
    .corce_text p, p{
        font-size: 12px;
    }
    p.conc_txt{
        font-size: 16px;
    }
    .foot_1 p{
        font-size: 14px;
    }
    .foot_mnu_1 ul li a{
        font-size: 14px;
        margin-bottom: 5px;
    }
    .foot_mnu ul li a{
        font-size: 14px;
    }
    .swiper-horizontal>.swiper-pagination-bullets .swiper-pagination-bullet, .swiper-pagination-horizontal.swiper-pagination-bullets .swiper-pagination-bullet {
        margin: 0var(--swiper-pagination-bullet-horizontal-gap,4px);
        display: none;
    }
    .vide_container {
        width: 90%;
        margin: auto;
    }
    
    .wid_5ty{
        width: 60%;
        margin: auto;
    }
    .ques_plc h2 {
        border-bottom: 1px solid #dedede;
        padding-bottom: 10px;
        font-size: 22px !important;
    }
    .ques_plc {
        padding: 25px 25px;
    }
    .ques_plc ul {
        margin: 0;
        padding: 0;
        margin-left: 20px;
    }     
    .bar{
        font-size: 14px;
        letter-spacing: 1px;    
    }   
    .text_sip {
        right: 40px;
        font-size: 20px;
        padding: 5px 5px;
    }
    .text_sip h1{
        font-weight: 700;
        font-size: 20px !important;
    }
    .bar {
        font-size: 7px;
        letter-spacing: 1px;
    }
    .swiper-button-next:after, .swiper-rtl .swiper-button-prev:after {
        content: 'next';
        font-size: 12px;
        font-weight: 600;
    }
    .swiper-button-prev:after, .swiper-rtl .swiper-button-next:after{
        content: 'prev';
        font-size: 12px;
        font-weight: 600;
    }
    .swiper-button-prev, .swiper-rtl .swiper-button-next{
        left: 10px;
        right: auto;
        background: rgb(255 152 0 / 52%);
        z-index: 999;
        border-radius: 50%;
        width: 25px;
        height: 25px;
        padding: 0px;
        text-align: center;
        box-shadow: 0 0 10px rgba(0,0,0,.3);
        border: 1px solid white;
    }
    .swiper-button-next, .swiper-rtl .swiper-button-prev {
        right: 10px;
        left: auto;
        background: rgb(255 152 0 / 52%);
        z-index: 999;
        border-radius: 50%;
        width: 25px;
        height: 25px;
        padding: 0px;
        text-align: center;
        box-shadow: 0 0 10px rgba(0,0,0,.3);
        border: 1px solid white;
    }

    /*on scroll animation*/
    @keyframes slide-in-left {
        0% {
          -webkit-transform: translateX(-20px);
          transform: translateX(-20px);
          opacity: 0;
        }
        100% {
          -webkit-transform: translateX(0);
          transform: translateX(0);
          opacity: 1;
        }
      }
      
      @keyframes slide-in-right {
        0% {
          -webkit-transform: translateX(20px);
          transform: translateX(20px);
          opacity: 0;
        }
        100% {
          -webkit-transform: translateX(0);
          transform: translateX(0);
          opacity: 1;
        }
      }
      
      @keyframes fade-in-bottom {
        0% {
          -webkit-transform: translateY(50px);
          transform: translateY(50px);
          opacity: 0;
        }
        100% {
          -webkit-transform: translateY(0);
          transform: translateY(0);
          opacity: 1;
        }
      }
      
      @keyframes fade-in {
        0% {
          opacity: 0;
        }
        100% {
          opacity: 1;
        }
      }
      .persn_det span {
        font-size: 14px;
        /* font-weight: 500; */
    }
    .rec_ot span {
        background: white;
        padding: 0px 10px;
        font-family: poppins;
        display: table-cell;
        box-shadow: inset 0 0 5px rgb(0 0 0 / 30%), 0 5px #ccc;
        animation: animates .5s infinite;
        font-size: 16px;
    }
    .logo_place.wid_100.p_80 {
        padding-top: 30px !important;
    }

    /*text animation*/
    .layer:after{
        font-size: 50px;
    }
    .stage {
        height: 157px;
    }
    .letter_anima{
        height: 100px;
    }
    .abas_1 {
        position: absolute;
        width: 84px;
        height: 40px;
        transform: skew(-36deg);
        background: rgb(57, 62, 66);
        border-width: 3px;
        border-style: solid;
        border-image: linear-gradient(white, rgb(175, 173, 172)) 1 10% / 1 / 0 stretch;
        left: -25px;
        top: 4px;
    }
    .abas_1::before{
        width: 84px;
        height: 40px;
        top: -8px;
        border-width: 3px;
    }
    
    .abas_2 {
        position: absolute;
        width: 84px;
        height: 40px;
        transform: skew(-36deg);
        background: rgb(57, 62, 66);
        border-width: 3px;
        border-style: solid;
        border-image: linear-gradient(white, rgb(175, 173, 172)) 1 10% / 1 / 0 stretch;
        right: -25px;
        top: 4px;
    }
    .abas_2::before{
        width: 84px;
        height: 40px;
        top: -8px;
        border-width: 3px;
    }
    
    .bar_content {
        display: block;
        /* width: 331%; */
        transform: translateX(100%);
        animation: move 20s linear infinite /* infinite make reapeat the animation indefinitely */;
        text-align: center;
        line-height: 13.2px;
    }
    .bar {
        font-size: 9px;
    }
    .mar_line{
        font-size: 12px;
    }
    .mar_line .abas_2 {
        width: 114px;
        top: 8px;
    }
    .mar_line .abas_1 {
        width: 150px;
        top: 8px;
        height: 30px;
    }
    .mar_line .abas_1::before {
        width: 145px;
        height: 0;
        transform: skew(35deg);
        background: none;
        border-width: none;
        border-style: none;
        border-image: none;
        left: -21px;
        font-size: 12px;
        z-index: 9;
        top: 2px;
        color: white;
        text-transform: uppercase;
        text-align: right;
    }
    .mar_line .abas_2::after {
        content: 'तेलंगाना';
        position: absolute;
        top: 2px;
        right: 35px;
        z-index: 9999;
        color: white;
        transform: skew(36deg);
        font-size: 11px;
        padding: 2px;
        animation: hide_disp 5s linear infinite;
    }
    .mar_line .abas_2 {
        position: absolute;
        width: 120px;
        height: 29px;
        transform: skew(-36deg);
        background: #393e42;
        border-width: 3px;
        border-style: solid;
        border-image: linear-gradient( to bottom, white, #afadac ) 1 10%;
        right: -25px;
        top: 7px;
    }
    .mar_line .abas_1::after {
        content: "హైదరాబాద్";
        position: absolute;
        width: 145px;
        height: 0;
        transform: skew(35deg);
        background: none;
        border-width: none;
        border-style: none;
        border-image: none;
        left: -17px;
        z-index: 9;
        top: 2px;
        font-size: 11px;
        color: white;
        text-transform: uppercase;
        animation: hide_disp_2 5s linear infinite;
        text-align: right;
    }
    .mar_line .abas_2::before {
        content: 'हैदराबाद';
        position: absolute;
        top: 4px;
    right: -6px;
        z-index: 9999;
        color: white;
        transform: skew(36deg);
        font-size: 11px;
        padding: 2px;
        background: none;
        border: none;
        padding: 0;
        animation: hide_disp_2 5s linear infinite;
    }
    .star {
        color: red;
        font-size: 12px;
    }
    .logo_new {
        position: absolute;
        right: 13px;
        top: 62px;
    }
    .logo_new img {
        width: 78px !important;
    }
   
}

@media(max-width:540px){
    .ima_ge_div {
        width: 50%;
    }
    .text_sip {
        right: 40px;
        font-size: 20px;
        padding: 1px 1px;
        background:white;
        box-shadow: 0 0 10px rgba(0,0,0,.3);
    }
    .text_sip h1{
        font-weight: 700;
        font-size: 14px !important;
    }
    .ts_logo {
        position: absolute;
        top: 0px !important;
        left: -115px !important;
        /* background: red; */
        z-index: 99;
        width: 175px !important;
    }
    .logo_new {
        position: absolute;
        right: 9px;
        top: 57px;
    }
    .logo_new img {
        width: 53px !important;
    }
}